package com.ruoyi.project.intact.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.project.intact.domain.TIntactGyl;
import com.ruoyi.project.intact.mapper.TIntactGylMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.intact.mapper.TIntactYsjMapper;
import com.ruoyi.project.intact.domain.TIntactYsj;
import com.ruoyi.project.intact.service.ITIntactYsjService;

/**
 * 设备完整性压缩机台账Service业务层处理
 *
 * @author ruoyi
 * @date 2022-06-21
 */
@Service
public class TIntactYsjServiceImpl extends ServiceImpl<TIntactYsjMapper, TIntactYsj> implements ITIntactYsjService
{
    @Autowired
    private TIntactYsjMapper tIntactYsjMapper;

    /**
     * 查询设备完整性压缩机台账
     *
     * @param id 设备完整性压缩机台账ID
     * @return 设备完整性压缩机台账
     */
    @Override
    public TIntactYsj selectTIntactYsjById(Long id)
    {
        return tIntactYsjMapper.selectTIntactYsjById(id);
    }

    /**
     * 查询设备完整性压缩机台账列表
     *
     * @param tIntactYsj 设备完整性压缩机台账
     * @return 设备完整性压缩机台账
     */
    @Override
    public List<TIntactYsj> selectTIntactYsjList(TIntactYsj tIntactYsj)
    {
        return tIntactYsjMapper.selectTIntactYsjList(tIntactYsj);
    }

    /**
     * 新增设备完整性压缩机台账
     *
     * @param tIntactYsj 设备完整性压缩机台账
     * @return 结果
     */
    @Override
    public int insertTIntactYsj(TIntactYsj tIntactYsj)
    {
        return tIntactYsjMapper.insertTIntactYsj(tIntactYsj);
    }

    /**
     * 修改设备完整性压缩机台账
     *
     * @param tIntactYsj 设备完整性压缩机台账
     * @return 结果
     */
    @Override
    public int updateTIntactYsj(TIntactYsj tIntactYsj)
    {
        return tIntactYsjMapper.updateTIntactYsj(tIntactYsj);
    }

    /**
     * 批量删除设备完整性压缩机台账
     *
     * @param ids 需要删除的设备完整性压缩机台账ID
     * @return 结果
     */
    @Override
    public int deleteTIntactYsjByIds(Long[] ids)
    {
        return tIntactYsjMapper.deleteTIntactYsjByIds(ids);
    }

    /**
     * 删除设备完整性压缩机台账信息
     *
     * @param id 设备完整性压缩机台账ID
     * @return 结果
     */
    @Override
    public int deleteTIntactYsjById(Long id)
    {
        return tIntactYsjMapper.deleteTIntactYsjById(id);
    }
}
